Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlTimer

    java.lang.Object
      controlP5.ControlTimer

    public class ControlTimer

extends java.lang.Object

control timer is a timer that can be used for example as a stop watch or a duration timer.

+Example
  `

      /**
       * ControlP5 Timer
       * by andreas schlegel, 2009
       */

      import controlP5.*;

      ControlP5 cp5;
      ControlTimer c;
      Textlabel t;

      void setup() {
        size(400,400);
        frameRate(30);
        cp5 = new ControlP5(this);
        c = new ControlTimer();
        t = new Textlabel(cp5,"--",100,100);
        c.setSpeedOfTime(1);
      }

      void draw() {
        background(0);
        t.setValue(c.toString());
        t.draw(this);
        t.setPosition(mouseX, mouseY);
      }

      void mousePressed() {
        c.reset();
      }

  `

Constructor Summary
`ControlTimer()` create a new control timer, a timer that counts up in time.

Method Summary
`int` | `day()` day position of the timer.
`int` | `hour()` Hour position of the timer in international format (0-23).
`int` | `millis()` Get the milliseconds of the timer.
`int` | `minute()` Minutes position of the timer.
`void` | `reset()` reset the timer.
`int` | `second()` Seconds position of the timer.
`void` | `setSpeedOfTime(float theSpeed)` set the speed of time, for slow motion or high speed.
`long` | `time()` get the time in milliseconds since the timer was started.
`java.lang.String` | `toString()` return a string representation of the current status of the timer.
`void` | `update()` called to update the timer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlTimer

    public ControlTimer()

  create a new control timer, a timer that counts up in time.

Method Detail

### day

    public int day()

  day position of the timer.

### hour

    public int hour()

  Hour position of the timer in international format (0-23).

### millis

    public int millis()

  Get the milliseconds of the timer.

### minute

    public int minute()

  Minutes position of the timer.

### reset

    public void reset()

  reset the timer.

### second

    public int second()

  Seconds position of the timer.

### setSpeedOfTime

    public void setSpeedOfTime(float theSpeed)

  set the speed of time, for slow motion or high speed.

  Parameters:
    `theSpeed` - int

### time

    public long time()

  get the time in milliseconds since the timer was started.

  Returns:
    long

### toString

    public java.lang.String toString()

  return a string representation of the current status of the timer.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String

### update

    public void update()

  called to update the timer.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012